<div class="mat-dialog-content-container">
    <h1 mat-dialog-title>{{data.action.label}}</h1>
    <div mat-dialog-content *ngIf="!loadingInit">
        <div *ngIf="loading" class="loading" style="display:flex;height:100%;">
            <mat-spinner style="margin:auto;"></mat-spinner>
        </div>
        <div class="row">
            <div class="col-md-12">
                {{lang.makeActionOn}}
                <b *ngIf="data.resIds.length == 1" color="primary" class="highlight">{{data.resource.chrono}}</b>
                <b *ngIf="data.resIds.length > 1" color="primary" class="highlight">{{data.resIds.length}}
                    {{lang.elements}}</b> ?
                <div *ngIf="resourcesInfo.withoutEntity.length > 0">
                    <div class="alert-message alert-message-danger acknowledgementList" role="alert">
                        <p>
                            {{lang.hasNoEntity}} :
                        </p>
                        <ul>
                            <li *ngFor="let info of resourcesInfo.withoutEntity">
                                {{info}}
                            </li>
                        </ul>
                    </div>
                </div>
                <div *ngIf="resourcesInfo.withEntity.length > 0">
                    <div class="alert-message alert-message-success" role="alert">
                        <p>
                            {{lang.destUserSetToDefault}}
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <app-note-editor #noteEditor [resIds]="data.resIds"></app-note-editor>
            </div>
        </div>
    </div>
    <span class="divider-modal"></span>
    <div mat-dialog-actions class="actions">
        <button mat-raised-button mat-button color="primary"
            [disabled]="loading || resourcesInfo.withEntity.length == 0" (click)="onSubmit()">{{lang.validate}}</button>
        <button mat-raised-button mat-button [disabled]="loading" [mat-dialog-close]="">{{lang.cancel}}</button>
    </div>
</div>